package stockMarketApplet.market.io;

public class DataRecord {

  private  final int BUY    = 1;
  private  final int SELL   = -1;
  private  final int HOLD   = 0;

  private String date;
  private double observation;
  private double MV_12;
  private double MV_50;
  private double Filter_5;
  private double Filter_63;
  private double TRB_5;
  private double TRB_50;
  private double VOL_12;
  private double VOL_50;
  private double MOM_10;
  private double MOM_60;
  private double MMA_10;
  private double MMA_60;

  private int action;
  private int forecast;

  public DataRecord(){
    date = new String("");
    observation = 0.0;
    MV_12 = 0.0;
    MV_50 = 0.0;
    TRB_5 = 0.0;
    TRB_50 = 0.0;
    Filter_5 = 0.0;
    Filter_63 = 0.0;
    VOL_12 = 0.0;
    VOL_50 = 0.0;
    MOM_10 = 0.0;
    MOM_60 = 0.0;
    MMA_10 = 0.0;
    MMA_60 = 0.0;
    action = 0;
    forecast = 0;
  }

  public DataRecord(String s, double d) {
      this();
      date = s;
      observation = d;
  }

  public String getDate(){
    return date;
  }
  public double getObservation(){
    return observation;
  }
  public double getMV_12(){
    return MV_12;
  }
  public double getMV_50(){
    return MV_50;
  }
  public double getTRB_5(){
    return TRB_5;
  }
  public double getTRB_50(){
    return TRB_50;
  }
  public double getFilter_5(){
    return Filter_5;
  }
  public double getFilter_63(){
    return Filter_63;
  }
  public double getVOL_12(){
    return VOL_12;
  }
  public double getVOL_50(){
    return VOL_50;
  }
  public double getMOM_10(){
    return MOM_10;
  }
  public double getMOM_60(){
    return MOM_60;
  }
  public double getMMA_10(){
    return MMA_10;
  }
  public double getMMA_60(){
    return MMA_60;
  }
  public double getAction(){
    return action;
  }
  public double getForecast(){
    return forecast;
  }
  public void setDate(String s){
    date = s;
  }
  public void setObservation(double d){
    observation = d;
  }
  public void setMV_12(double d){
    MV_12 = d;
  }
  public void setMV_50(double d){
    MV_50 = d;
  }
  public void setTRB_5(double d){
    TRB_5 = d;
  }
  public void setTRB_50(double d){
    TRB_50 = d;
  }
  public void setFilter_5(double d){
    Filter_5 = d;
  }
  public void setFilter_63(double d){
    Filter_63 = d;
  }
  public void setVOL_12(double d){
    VOL_12 = d;
  }
  public void setVOL_50(double d){
    VOL_50 = d;
  }
  public void setMOM_10(double d){
    MOM_10 = d;
  }
  public void setMOM_60(double d){
    MOM_60 = d;
  }
  public void setMMA_10(double d){
    MMA_10 = d;
  }
  public void setMMA_60(double d){
    MMA_60 = d;
  }
  public void setAction(int i){
    action = i;
  }
  public void setForecast(int i){
    forecast = i;
  }

}