package stockMarketApplet.market.io;

import java.util.List;
import stockMarketApplet.market.agents.technicalTrader.basics.*;

public class GPParametersRecord {

  private byte iniTreeDepth;
  private byte maxTreeDepth;
  private byte percentCopy;
  private byte probMutation;
//  private byte probCrossover;
  private byte probMaximization;
  private int maxGenerations;
  private int populationSize;
  private double minThreshold;
  private double rangeThreshold;
  private double maximizationStep;
  private byte selectionMethod;
  private int tournamentSize;
  private byte probSelectBest;
  private double w_rc;
  private double w_rf;
  private double w_rmc;
  private byte codeGrowthControlMethod;
  private int nTarpeian;


  public byte getIniTreeDepth(){
    return this.iniTreeDepth;
  }
  public byte getMaxTreeDepth(){
    return this.maxTreeDepth;
  }
  public byte getPercentCopy(){
    return this.percentCopy;
  }
  public byte getProbMutation(){
    return this.probMutation;
  }
/*  public byte getProbCrossover(){
    return this.probCrossover;
  }*/
  public byte getProbMaximization(){
    return this.probMaximization;
  }
  public int getMaxGenerations(){
    return this.maxGenerations;
  }
  public int getPopulationSize(){
    return this.populationSize;
  }
  public double getMinThreshold(){
    return this.minThreshold;
  }
  public double getRangeThreshold(){
    return this.rangeThreshold;
  }
  public double getMaximizationStep(){
    return this.maximizationStep;
  }
  public byte getSelectionMethod(){
    return this.selectionMethod;
  }
  public byte getCodeGrowthControlMethod(){
    return this.codeGrowthControlMethod;
  }
  public int getNTarpeian(){
    return this.nTarpeian;
  }
  public int getTournamentSize(){
    return this.tournamentSize;
  }
  public byte getProbSelectBest(){
    return this.probSelectBest;
  }
  public double getWRC(){
    return this.w_rc;
  }
  public double getWRF(){
    return this.w_rf;
  }
  public double getWRMC(){
    return this.w_rmc;
  }

  public void setIniTreeDepth(byte iniTreeDepth){
    this.iniTreeDepth = iniTreeDepth;
  }
  public void setMaxTreeDepth(byte maxTreeDepth){
    this.maxTreeDepth = maxTreeDepth;
  }
  public void setPercentCopy(byte percentCopy){
    this.percentCopy = percentCopy;
  }
  public void setProbMutation(byte probMutation){
    this.probMutation = probMutation;
  }
/*  public void setProbCrossover(byte probCrossover){
    this.probCrossover = probCrossover;
  }*/
  public void setProbMaximization(byte probMaximization){
    this.probMaximization = probMaximization;
  }
  public void setMaxGenerations(int maxGenerations){
    this.maxGenerations = maxGenerations;
  }
  public void setPopulationSize(int populationSize){
    this.populationSize = populationSize;
  }
  public void setMinThreshold(double minThreshold){
    this.minThreshold = minThreshold;
  }
  public void setRangeThreshold(double rangeThreshold){
    this.rangeThreshold = rangeThreshold;
  }
  public void setMaximizationStep(double maximizationStep ){
    this.maximizationStep = maximizationStep;
  }
  public void setSelectionMethod(byte selectionMethod){
    this.selectionMethod = selectionMethod;
  }
  public void setTournamentSize(int tournamentSize){
    this.tournamentSize = tournamentSize;
  }

  public void setCodeGrowthControlMethod(byte codeGrowthControlMethod){
    this.codeGrowthControlMethod = codeGrowthControlMethod;
  }

  public void setNTarpeian(int nTarpeian){
    this.nTarpeian = nTarpeian;
  }

  public void setProbSelectBest(byte probSelBest){
    this.probSelectBest = probSelBest;
  }
  public void setWRC(double wrc){
    this.w_rc = wrc;
  }
  public void setWRF(double wrf){
    this.w_rf = wrf;
  }
  public void setWRMC(double wrmc){
    this.w_rmc = wrmc;
  }

}
