package stockMarketApplet.market.io;

import java.io.*;

public class OutputFundamentalParameters {
  private  FileOutputStream fileName;

  public void saveParameters(FundamentalParametersRecord fundamentParamRec){
    String fileNameString = "parameters/FundamentalParameters.txt";
    StringBuffer sb=new StringBuffer();
    try{
      fileName = new FileOutputStream(fileNameString);
    } catch(FileNotFoundException e) {
      System.out.print("File Not Found");
    }
    try{
       sb.append(fundamentParamRec.getCash());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(fundamentParamRec.getNumberShares());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(fundamentParamRec.getInitialValue());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(fundamentParamRec.getMean());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(fundamentParamRec.getStandardDeviation());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(fundamentParamRec.getTmin());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(fundamentParamRec.getTmax());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(fundamentParamRec.getTauMin());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(fundamentParamRec.getTauMax());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(fundamentParamRec.getA());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }
  }


}