package stockMarketApplet.market.io;

import java.io.*;

public class OutputIndicators {
  private  FileOutputStream fileName;

  public void saveParameters(IndicatorsRecord indRec, int groupNumber){
    String fileNameString = "parameters/Indicators"+groupNumber+".txt";
    StringBuffer sb=new StringBuffer();
    try{
      fileName = new FileOutputStream(fileNameString);
    } catch(FileNotFoundException e) {
      System.out.print("File Not Found");
    }

    for (int i=0;i<indRec.getIndicatorsNames().length;i++)
    {
    try{
      sb.append(indRec.getIndicatorsNames()[i]);
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();

    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }
    }
    try
    {
      fileName.close();
    } catch (IOException e){
      System.out.print("Can not close the file");
    }
  }

}