package stockMarketApplet.market.io;

import java.io.*;

public class OutputMarketParameters {
  private  FileOutputStream fileName;

  public void saveParameters(MarketParametersRecord marketParamRec){
    String fileNameString = "parameters/MarketParameters.txt";
    StringBuffer sb=new StringBuffer();
    try{
      fileName = new FileOutputStream(fileNameString);
    } catch(FileNotFoundException e) {
      System.out.print("File Not Found");
    }
    try{
      sb.append(marketParamRec.getMaxNumTradingPeriods());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(marketParamRec.getTradingProportion());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(marketParamRec.getPriceEquation());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(marketParamRec.getBetha1());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(marketParamRec.getBetha2());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(marketParamRec.getMarketDepth());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(marketParamRec.getSeed());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(marketParamRec.getDelay());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(marketParamRec.getSavingFrequency());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
     } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }
  }

}