package stockMarketApplet.market.io;

import java.io.*;

public class OutputNoisyTraderParameters {

  private  FileOutputStream fileName;

  public void saveParameters(NoisyTraderParametersRecord noisyParamRec){
    String fileNameString = "parameters/NoisyTraders.txt";
    StringBuffer sb=new StringBuffer();
    try{
      fileName = new FileOutputStream(fileNameString);
    } catch(FileNotFoundException e) {
      System.out.print("File Not Found");
    }
    try{
      sb.append(noisyParamRec.getCash());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(noisyParamRec.getNumberShares());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(noisyParamRec.getProbabilityBuy());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(noisyParamRec.getProbabilitySell());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(noisyParamRec.getProbabilityHold());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }
  }

}