package stockMarketApplet.market.io;

import java.io.*;
import java.awt.Event;

public class OutputTradersParameters {
  private  FileOutputStream fileName;

  public void saveParameters(TradersParametersRecord tradersParamRec){
    String fileNameString = "parameters/Traders.txt";
    StringBuffer sb=new StringBuffer();
    try{
      fileName = new FileOutputStream(fileNameString);
    } catch(FileNotFoundException e) {
      System.out.print("File Not Found");
    }
    try{
      sb.append(tradersParamRec.getNumGroupsTechnicalTraders());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(tradersParamRec.getNumFundamentalTraders());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
      sb=new StringBuffer();
      sb.append(tradersParamRec.getNumNoisyTraders());
      sb.append('\r');
      sb.append('\n');
      fileName.write(sb.toString().getBytes());
    } catch(IOException e) {
      System.out.print("IO Exception: " + e.getMessage());
    }
    try
    {
      fileName.close();
    } catch (IOException e){
      System.out.print("Can not close the file");
    }
  }

}